// creator  : weidu.exe (version 23100)
// argument : _FALDOR.DLG
// game		 : .
// source	 : ./override/_FALDOR.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_FALDOR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 0 // from:
  SAY #80559 /* ~Evil men have been defiling the woodlands with smoke and waste, all in a futile quest for the metal, iron.  Would you join me in my task.  I would destroy these men of the 'Iron Throne'.  Come with me, they dwell to the east within a fort.~ */
  IF ~~ THEN REPLY #80560 /* ~Sure, we'll help you.~ */ UNSOLVED_JOURNAL #80561 /* ~A hidden base in the Cloakwood

A girl named Faldorn has told me that that the Iron Throne's base is located to the east.~ */ GOTO 3
  IF ~~ THEN REPLY #70083 /* ~No.~ */ GOTO 2
  IF ~Global("X#JaheiraFaldorn","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraFaldorn","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 123
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~NumberOfTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 1 // from:
  SAY #80562 /* ~Move aside city dwellers.  I warn you now; if you have any connection with the men that defile this wood in search of iron, I will cause you much suffering.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #80563 /* ~Your lack of concern for this forest's suffering is disappointing.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY #80564 /* ~You will help me!?  Let us find the men who foul our forests.  Quickly!  Their punishment must be swift.  We must travel east to their fort.~ */
  IF ~~ THEN DO ~JoinParty()
~ UNSOLVED_JOURNAL #80565 /* ~A hidden base in the Cloakwood

We have agreed to help Faldorn against the people who have been polluting the Cloakwood forest.  These people, apparently agents of the Iron Throne, dwell in a fort to the east.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #80566 /* ~Shut up, old man.  You and your kind's weakling ways have never helped the cause of balance.  You have no claim to wisdom.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~True()
~ THEN BEGIN 5 // from:
  SAY #80567 /* ~Have you changed your minds about combating the evil of the Iron Throne?  Join me, and together we can end the defiling of the Cloakwood.~ */
  IF ~~ THEN REPLY #80568 /* ~We have no room for another in our party.~ */ EXIT
  IF ~~ THEN REPLY #73970 /* ~As you wish.~ */ DO ~JoinParty()
~ UNSOLVED_JOURNAL #80565 /* ~A hidden base in the Cloakwood

We have agreed to help Faldorn against the people who have been polluting the Cloakwood forest.  These people, apparently agents of the Iron Throne, dwell in a fort to the east.~ */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #80569 /* ~I am Faldorn, a member of the Shadow Druids.  The Shadow Druids are a sect of druids that believes in the destruction of civilization.  I have come to this region of the world to sow disorder among those druid sects that are too weak to share our vision.~ */
  IF ~~ THEN SOLVED_JOURNAL #80570 /* ~Faldorn and the Shadow Druids

When we charmed Faldorn, she told us that she was a member of the Shadow druids, a sect of druids that believes in the destruction of human civilization.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #80571 /* ~I have no patience for your weaknesses.  If I want action, I guess I'll have to make my own.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #80572 /* ~Very well but do not forget what I have taught you, friends: walk with rage against all who threaten the Great Mother.~ */
  IF ~~ THEN EXIT
END
